import React from 'react'
import { Navigate, Route, Routes } from 'react-router-dom'

import { URLs } from './__data__/urls'

import { NotFound } from './pages/not-found'
import { ByPage } from './pages/by'

export const Dashboard = () => {
  return (
    <Routes>
      <Route
        path={URLs.baseUrl}
        element={<Navigate replace to={URLs.toNotFound.url} />}
      />
      <Route path={URLs.by.url} element={<ByPage />} />
      <Route path="*" element={<NotFound />} />
    </Routes>
  )
}