import { Container, Heading } from '@chakra-ui/react'
import React from 'react'
import { useParams } from 'react-router-dom'

import { Profile } from '../components'

const users = {
  'some-user-id': {
    name: 'alexandr',
    secondName: null,
    email: null,
    rated: 3,
    avatar: 'https://www.gravatar.com/avatar/6529e885535ef67a3fad810ad71167c2c03f79480936e9b3a714731753cbb47e?d=robohash'
  }
}

export const ByPage = () => {
  const params = useParams()

  const user = users[params.userId]

  return (
    <Container maxW="container.xl">
      {user ? (
        <Profile user={user} />
      ) : (
        <Heading as="h2">Пользователь не найден</Heading>
      )}
    </Container>
  )
}
